#!/bin/sh
#########################################################################
# Generate snapshots for the MILP model of distributed generation (DG)  #
# AMPL coding by                                                        #
# Fu Lin                                                                #
# Argonne National Laboratory, 2014                                     #
#########################################################################

for Building in Retail Restaurant SuperMarket  School Hospital 

    do
    export Building;		# ... export building to ampl processes
    export HorizonDays="364";   # ... export the length of horizon
    ampl ProfGen.ampl;		# ... generate profiles
    ampl ProfGroup.ampl;	# ... remove redundant on/off profiles and 
				# ... group generation profiles associated with on/off profiles
done

