#!/bin/bash                                    
####################################################################
# Solve the semi-coarse MILP model of distributed generation (DG)  #
# AMPL coding by                                                   #
# Fu Lin                                                           #
# Argonne National Laboratory, 2014                                #
####################################################################

    for Building in School  SuperMarket Restaurant Retail Hospital   
        do
	for HorizonDays in 364 728 #1456 2184 2912 3640  
	    do 
	    export Building;
	    export HorizonDays;

            export Method="Kmeans"; 

	    if [ "$Method" == "Sampling" ]
	    then export SamplingRate="2"
	    fi

	    if [ "$Method" == "Kmeans" ]		
		then 
		    cd  snapshots
		    export clusternum="2";		# ... choose the number of clusters
		    export NumDays="364";
		    sh  runClusterProf.sh 		# ... run the clustering algorithm
		    cd  -
	    fi

	    ampl SolveSemiCoarse.ampl;
	done
    done
