#!/bin/sh
####################################################################
# Solve the semi-coarse MILP model of distributed generation (DG)  #
# AMPL coding by                                                   #
# Fu Lin                                                           #
# Argonne National Laboratory, 2014                                #
####################################################################

#export Building="SuperMarket";
#export HorizonDays="4";
#clusternum="2";

for dirname in BattInputOutput  PowerStorage PowerUtility  HeatStorage
    do
    filename=$Building$NumDays"MovHorWinLen4day";
    export clusternum;
    export dirname;
    export filename;
    echo $dirname;
    octave ClusterProf.m
done

dirname="HeatOut";
filename="Storage"$Building$NumDays"MovHorWinLen4day";
export dirname;
export filename;
echo $dirname;
octave ClusterProf.m

dirname="HeatOut";
filename="Boiler"$Building$NumDays"MovHorWinLen4day";
export dirname;
export filename;
echo $dirname;
octave ClusterProf.m

