#####################################################################################
#!/bin/sh		
# Generate tables from results in .log and .out files for Distributed Generation
# shell script coding	
# by Fu Lin
# Argonne National Laboratory, 2014
#####################################################################################

# choose the method

#Method="Sampling"
#Method="Kmeans"

for Building in Restaurant Hospital School Retail  SuperMarket
    do 
    table="CoarseModel"$Building".tab"
    for HorizonDay in 364 728 1456 2184 2912 3640
	do 
	 logfile=$Building"/CoarseModel_"$HorizonDay"day"$Method".log";
	 outfile=$Building"/CoarseModel_"$HorizonDay"day"$Method".out";
	 cat $outfile >> $table
    done
done
